// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
// widget_core implements some common patterns for the core widget collection
// that are not to be used directly by third-party widget authors.
var widget_1 = require('./widget');
var _ = require('underscore');
var semver_range = '^' + require('../package.json').version;
var CoreWidgetModel = (function (_super) {
    __extends(CoreWidgetModel, _super);
    function CoreWidgetModel() {
        _super.apply(this, arguments);
    }
    CoreWidgetModel.prototype.defaults = function () {
        return _.extend(_super.prototype.defaults.call(this), {
            _model_name: 'CoreWidgetModel',
            _model_module_version: semver_range,
            _view_module_version: semver_range
        });
    };
    return CoreWidgetModel;
}(widget_1.WidgetModel));
exports.CoreWidgetModel = CoreWidgetModel;
var CoreDOMWidgetModel = (function (_super) {
    __extends(CoreDOMWidgetModel, _super);
    function CoreDOMWidgetModel() {
        _super.apply(this, arguments);
    }
    CoreDOMWidgetModel.prototype.defaults = function () {
        return _.extend(_super.prototype.defaults.call(this), {
            _model_name: 'CoreDOMWidgetModel',
            _model_module_version: semver_range,
            _view_module_version: semver_range
        });
    };
    return CoreDOMWidgetModel;
}(widget_1.DOMWidgetModel));
exports.CoreDOMWidgetModel = CoreDOMWidgetModel;
var CoreLabeledDOMWidgetModel = (function (_super) {
    __extends(CoreLabeledDOMWidgetModel, _super);
    function CoreLabeledDOMWidgetModel() {
        _super.apply(this, arguments);
    }
    CoreLabeledDOMWidgetModel.prototype.defaults = function () {
        return _.extend(_super.prototype.defaults.call(this), {
            _model_name: 'CoreLabeledDOMWidgetModel',
            _model_module_version: semver_range,
            _view_module_version: semver_range
        });
    };
    return CoreLabeledDOMWidgetModel;
}(widget_1.LabeledDOMWidgetModel));
exports.CoreLabeledDOMWidgetModel = CoreLabeledDOMWidgetModel;
